
Figure - Bug #111412
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110884 (New): AF-V1.0功能测试-手势-应用返回

【AF】【EVT】【手势交互】应用中操作返回手势时，弹出“Quickstep没有响应"的ANR，屏幕黑屏
2022-08-23 11:22 - CD Test赵飞

Status: CLOSED Start date: 2022-08-23

Priority: Normal Due date:

Assignee: CD Test赵飞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_20220930

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220823.alpha_005

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: IT Root cause: 未复现，可能与setviews有关

Description

【测试版本】

FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220823.alpha_005

【前提条件】

1、打开任意一个应用（测试时打开的是一个第三方应用）

【测试步骤】

1、屏幕右侧边缘向左滑动

【预期结果】

1、应用返回至上一页面或退出

【实际结果】

1、页面弹出“Quickstep没有响应"的ANR，屏幕黑屏

【复现率】

1/10

【日志】

日志与截图见附件

History

#1 - 2022-08-23 14:41 - CD FW-王伟

- Assignee changed from CD FW-王伟 to CD- App-李朝鹏

#2 - 2022-08-26 11:46 - CD- App-李朝鹏

- Status changed from New to RESOLVED

- Assignee changed from CD- App-李朝鹏 to CD Test赵飞

- Target version set to 590

- Root cause set to 未复现，可能与setviews有关

■ Current conclusion

未复现
■ My analysis

监听到hotseat左右值变化后，不再直接调用setviews，而是只设置与hotseatview相关的view的布局

■ Next action / ■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/144121

#3 - 2022-08-26 13:47 - CD Test赵飞

- % Done changed from 0 to 70

验证版本：FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220825.alpha_006

验证结果：PASS

验证次数：20次

偶现问题，下个版本继续验证

#4 - 2022-08-29 14:08 - CD Test赵飞

验证版本：FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220826.alpha

验证结果：PASS

验证次数：20次

偶现问题，下个版本继续验证

#5 - 2022-09-02 10:10 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

- % Done changed from 70 to 80

验证版本：FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220902.alpha

验证结果：PASS

验证次数：20次

#6 - 2022-09-02 10:11 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

- % Done changed from 80 to 100

#7 - 2022-09-14 12:00 - CD TPM-申艳艳

- Category set to CD-APP

#8 - 2022-09-16 09:57 - CD SWPM-杨宏伟

- Target version changed from 590 to VX1_MCE_FSE_V2.0_20220930

Files

logcat.txt 9 MB 2022-08-23 CD Test赵飞

Screenshot_20220822-185328.png 23.6 KB 2022-08-23 CD Test赵飞

2025-07-04 2/2

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/144121

